.custom-language-button {
    font-weight: 600 !important;
    font-size: 16px !important;
    font-family: IBM Plex Sans Arabic !important;
}

@font-face {
    font-family: "IBM Plex Sans Arabic";
    src: url("fonts/PlexSansArabic-Regular.woff2") format("woff2"),
        url("fonts/PlexSansArabic-Regular.woff") format("woff");
}

@media (max-width: 992px) {
    .card {
        border: none;
        border-radius: 24px;
        padding: 52px 10px !important;
    }

    .justify-content-between {
        display: flex;
        justify-content: center !important;
    }

    .custom-guest-header .nav-item {
        top: 20px;
        position: relative;
        /* left: 0;
        right: auto; */
    }

    .custom-space-between {
        justify-content: space-between !important;
    }
}

.step-counter1 {
    display: none;
}

@media (max-width: 768px) {
    .step-counter1 {
        display: flex;
    }
}

.step-counter1 > span {
    font-weight: 400;
    color: #34363b;
}

.input-group {
    position: relative;
}

.input_height_border {
    border-radius: 12px !important;
    height: 50px;
}

.input-group .input-group-prepend .input-group-text {
    background-color: transparent;
    border: none;
}

.height-100 {
    height: 100%;
}

.login_header_text {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 10px;
}

.login_header_text > h3 {
    font-weight: 700;
    font-size: 32px;
    line-height: 41px;
}

.login_header_text > p {
    font-weight: 400;
    font-size: 16px !important;
    line-height: 25px;
    max-width: 338px;
    color: #62636c;
    text-align: center;
    font-family: "IBM Plex Sans Arabic";
}

.login_page_padding {
    padding-inline: 13% !important;
}

.phone {
    z-index: 5;
}

/* .modal{
    display: flex !important;
    justify-content: center !important;
    align-items: center !important;
} */
.hide {
    visibility: hidden;
    display: none;
}

.inside_input {
    right: 5px;
    z-index: 1;
}

.password_eye {
    left: 5px;
    z-index: 1;
}

.password-toggle {
    cursor: pointer;
}

.input-group .form-control {
    padding-right: 40px;
}

.error-message {
    color: #ff7d7d;
    text-align: right;
    direction: rtl;
}

body {
    background-color: #f8f9fa;
}

.input_gray {
    background-color: #f8f9fa;
}

.card {
    border: none;
    border-radius: 24px;
    padding: 30px;
}

.card-header {
    background-color: transparent;
    border: none;
}

p {
    font-family: "IBM Plex Sans Arabic", sans-serif;
}

h2 h3 label a {
    font-family: "IBM Plex Sans Arabic", sans-serif;
}

button {
    font-family: "IBM Plex Sans Arabic", sans-serif;
}

.gradient-text {
    background: linear-gradient(to left, #00c8b2, #0289c0);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    /* Hide original text */
    font-weight: 500;
    font-size: 14px;
}

.login_check_btn_text {
    font-family: "IBM Plex Sans Arabic", sans-serif;
    font-size: 15px;
    font-weight: 500 !important;
}

.icolor {
    color: #e7e8ec;
}

.check_box {
    margin-left: 5px !important;
    width: 15px;
    height: 15px;
}

.check_box:checked {
    accent-color: #0289c0;
}

.custom-button {
    display: inline-block;
    padding: 12px 20px;
    border-radius: 16px;
    font-size: 16px;
    text-align: center;
    border: none;
    cursor: pointer;
    background-image: linear-gradient(to left, #00c8b2, #0289c0);
    font-weight: 500;
    line-height: 24px;
    color: #fff;
}

.prev-step {
    background-image: none !important;
    background-color: #e6f2ff;
    color: #0277c4;
}

.form-group label {
    float: right;
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    color: #40444c;
    padding-bottom: 8px;
}

.form-check {
    display: flex;
    align-items: center;
}

.form-check-input {
    margin-left: 0.5rem;
}

.input-group-text {
    background-color: transparent;
    border: none;
}

.input-group > .form-control:not(:last-child) {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.input-group > .input-group-append > .input-group-text {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.error {
    border-color: red !important;
}

.picture {
    width: 150px;
    height: 150px;
    background-color: #999999;
    border: 4px solid #cccccc;
    color: #ffffff;
    border-radius: 50%;
    margin: 0 auto 10px;
    overflow: hidden;
    position: relative;
}

.picture input[type="file"] {
    cursor: pointer;
    display: block;
    height: 100%;
    left: 0;
    opacity: 0 !important;
    position: absolute;
    top: 0;
    width: 100%;
}

.picture svg {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 50px;
}

.picture-src {
    width: 100%;
    height: 100%;
}

.main-cont {
    padding: 50px 16px;
}

/*----------------*/
/*Profile Pic Start*/
.picture-container {
    position: relative;
    /*cursor: pointer;*/
    text-align: center;
    margin-bottom: 24px;
}

.picture {
    width: 106px;
    height: 106px;
    background-color: #f9fafb;
    color: #ffffff;
    border: 1px solid #e2e6ee;
    border-radius: 50%;
    margin: 0px auto;
    overflow: hidden;
    transition: all 0.2s;
    -webkit-transition: all 0.2s;
}

.picture:hover {
    border-color: #00c1a5;
}

.content.ct-wizard-green .picture:hover {
    border-color: #05ae0e;
}

.content.ct-wizard-blue .picture:hover {
    border-color: #00c1a5;
}

.content.ct-wizard-orange .picture:hover {
    border-color: #ff9500;
}

.content.ct-wizard-red .picture:hover {
    border-color: #ff3b30;
}

.picture input[type="file"] {
    cursor: pointer;
    display: block;
    height: 100%;
    left: 0;
    opacity: 0 !important;
    position: absolute;
    top: 0;
    width: 100%;
}

.picture-src {
    width: auto;
}

/*Services section*/
.service-container {
    display: flex;
    flex-direction: column;
    align-items: start;
    padding-top: 20px;
}

.service-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    /* Adjust as needed */
    height: 150px;
    /* Adjust as needed */
    background-color: #00cfb10d;
    /* Light cyan background */
    border: 2px dashed #00bcd4;
    /* Dashed border with cyan color */
    border-radius: 12px;
    /* Rounded corners */
    text-align: center;
    margin: 20px auto;
    /* Center the card horizontally */
}

.service-icon img {
    width: 50px;
    /* Adjust the icon size as needed */
    height: auto;
    margin-bottom: 10px;
}

.service-card p {
    color: #616161;
    /* Dark grey text color */
    font-size: 14px;
    /* Adjust text size as needed */
    margin: 0;
    font-family: Arial, sans-serif;
    /* Replace with the font you want to use */
}

/* Style the card */
.service-card {
    cursor: pointer;
}

/* The Modal (background) */
.modal {
    display: none;
    /* Hidden by default */
    position: fixed;
    z-index: 1;
    justify-content: center;
    align-items: center;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.4);
    /* Black w/ opacity */
}

.modal-servs {
    width: 496px;
    /* padding: 30px; */
    border-radius: 16px;
}

.pade-rmv {
    padding-left: 0px !important;
    gap: 7px;
}

/* Popup Header Container */
.popup-head-container {
    display: flex;
    justify-content: center;
}

/* Close Button */
.close {
    position: absolute;
    left: 22px;
    color: #aaa;
    font-size: 28px;
    font-weight: bold;
    cursor: pointer;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
}

/* Form Group */
.services-form {
    width: 80%;
}

.form-group {
    margin-bottom: 15px;
}

label {
    display: block;
    margin-bottom: 5px;
    color: #333;
}

select {
    width: 100%;
    padding: 10px;
    margin-top: 5px;
    font-size: 14px;
    border-radius: 5px;
    background-color: #f9fafb;
    border: None;
    direction: rtl;
    color: #bac1d0;
}

/* Form Buttons */
.form-buttons {
    display: flex;
    justify-content: space-between;
}

.cancel-button {
    background-color: #ffffff;
    border: 1px solid #f1f3f9;
    padding: 10px 20px;
    box-shadow: 0px 1px 2px 0px #1018280d;
    width: 45%;
    border-radius: 5px;
    cursor: pointer;
}

.submit-button {
    background-image: linear-gradient(to left, #00c8b2, #0289c0);
    border: none;
    color: white;
    width: 45%;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
}

#selected-services-container {
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-top: 20px;
}

#selected-services-container h4 {
    font-size: 16px;
    margin-bottom: 10px;
}

.section-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

/* Container for service cards in a 3-column grid */
.service-card-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    /* 3 columns per row */
    gap: 15px;
    padding-bottom: 20px;
}

/* Individual Service Card */
.selected-service-card {
    position: relative;
    padding: 10px;
    border-radius: 10px;
    text-align: center;
    border: 1px solid #e2e6ee;
    width: 100px;
    height: 100px;
    background-color: #f9fafb;
    display: flex;
    justify-content: center;
    align-items: center;
}

.remove-service {
    position: absolute;
    top: 0px;
    left: 5px;
    color: #eb5757;
    cursor: pointer;
    font-size: 18px;
}

/*Image stuff*/
#selected-images-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 6px;
    max-height: 250px;
    overflow-y: auto;
    width: 100%;
    margin-bottom: 20px;
}

.image-container {
    position: relative;
    width: 1005;
    /* Fix the width of each image container */
    flex: 0 0 auto;
    /* Prevent flexbox from resizing the container */
}

.image-container img {
    width: 100%;
    /* Ensure the image fills the container */
    height: 200px;
    object-fit: cover;
    border: 1px solid #ccc;
    border-radius: 5px;
}

.remove-image {
    position: absolute;
    top: 5px;
    left: 5px;
    color: #eb5757;
    cursor: pointer;
    display: flex;
    font-size: 18px;
    cursor: pointer;
    border-radius: 50%;
    align-items: center;
    justify-content: center;
    border: 1px solid #e2e6ee;
    width: 20px;
    height: 20px;
    background-color: #ffffff;
}

.force-remove-cam-icon {
    display: none !important;
}

.step-indicators > .icnn {
    display: none;
}

.service-card {
    color: #0277c4;
    cursor: pointer;
}

.service-card > p {
    color: #0277c4;
    cursor: pointer;
}

.bg-card {
    border-radius: 16px;
}

.icon-eng {
    padding-left: 3rem !important;
    padding-right: 1.5rem !important;
}

.input-group-prepends {
    position: absolute;
    right: 30px;
    top: 20px;
}

.icon-eng-span {
    left: 0;
    width: fit-content;
}

.pwd-eng-icon {
    right: 0;
    justify-content: end;
    /* width: fit-content; */
}

.eng-errors {
    text-align: left;
    direction: ltr;
}

#validation-errors {
    padding: 18px;
}

:root {
    --radio-border-color: #00cfb1;
    --radio-checked-color: #00cfb1;
}

.custom-radio {
    -webkit-appearance: none;
    width: 15px;
    height: 15px;
    border: 2px solid var(--radio-border-color);
    border-radius: 50%;
    cursor: pointer;
    position: relative;
    transition: all 0.3s;
}

.custom-radio:checked {
    background-color: transparent;
    /* Remove full background */
}

/* Create inner circle when checked */
.custom-radio:checked::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 7px;
    /* Size of inner circle */
    height: 7px;
    background-color: var(--radio-checked-color);
    border-radius: 50%;
}

.login_footer_text_container p {
    font-weight: 500;
    font-size: 14px;
    line-height: 21px;
    align-items: center;
    text-align: center;
    padding-top: 31px;
    color: #00bcd4;
}

.register_page_container {
    max-width: 551px;
    padding: 52px 104px;
}
.register_page_container .bg-card {
    border: 1px solid #e2e6ee;
}

.login_footer_text_container p > span {
    color: #000;
}
.login_navbar_container.navbar {
    background-color: transparent !important;
}
.register_page_container .card-body {
    padding: 1rem;
}
@media (max-width: 1450px) {
    .card {
        border: none;
        border-radius: 24px;
        padding: 30px 100px;
    }
}

@media (max-width: 768px) {
    .step {
        display: none !important;
    }
    .register_page_container {
        padding-inline: 56px !important;
    }

    .login_header_text {
        justify-content: flex-start !important;
        align-items: flex-start;
    }

    .login_header_text > p {
        text-align: right;
    }

    .custom_card_body {
        padding: 0 !important;
    }

    .step.active {
        display: block !important;
    }

    .step-indicators > p {
        display: none;
    }

    .step-indicators > p.active {
        display: block;
        margin-top: 3px;
    }

    .step-indicators > i {
        display: none;
    }

    .step-indicators > .icnn {
        display: block;
        margin-right: -30px;
    }

    .card {
        border-radius: 24px;
        padding: 20px !important;
        width: 100%;
    }

    .step-form-conatiner {
        width: 100% !important;
        margin: 0 20px !important;
    }

    .service-card {
        width: fit-content;
        height: 150px;
        padding: 0 20px;
    }

    .form-buttons {
        flex-direction: column-reverse;
        gap: 10px;
    }

    .cancel-button {
        width: 100%;
    }

    .submit-button {
        width: 100%;
    }

    .modal-content {
        padding: 20px 8px;
        margin: 0 8px;
    }

    .service-card-container {
        grid-template-columns: repeat(2, 1fr);
    }

    .step-indicators {
        width: 100%;
    }

    #selected-images-container {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 6px;
        max-height: 200px;
        overflow-y: auto;
        width: 100%;
        margin-bottom: 20px;
    }

    .image-container {
        width: 100%;
    }

    .image-container img {
        width: 100%;
        height: 160px;
    }

    .card-header {
        padding: 0.75rem 0.25rem;
    }

    .service-container {
        display: flex;
        padding-top: 0px;
    }

    .btn-resppp {
        width: 100% !important;
    }

    .ress-person-data {
        display: flex;
        flex-direction: column;
        padding: 29px 0;
    }

    #validation-errors {
        width: 100% !important;
    }
}

@media screen and (max-width: 576px) {
    .login_page_padding.card {
        padding-inline: 1px !important;
        background-color: transparent;
    }
    .register_page_container.card {
        background-color: transparent;
    }
    .register_page_container {
        padding-inline: 16px !important;
    }
}
